import request from '@/utils/request'

// 查询网格员管理列表
export function listgridman(query) {
  return request({
    url: '/gridman/list',
    method: 'get',
    params: query
  })
}

// 查询网格员管理详细
export function getgridman(id) {
  return request({
    url: '/gridman/' + id,
    method: 'get'
  })
}

// 新增网格员管理
export function addgridman(data) {
  return request({
    url: `/gridman?grid=${data.grid}`,
    method: 'post',
    data: data
  })
}

// 修改网格员管理
export function updategridman(data) {
  return request({
    url: '/gridman',
    method: 'put',
    data: data
  })
}

// 删除网格员管理
export function delgridman(id) {
  return request({
    url: '/gridman/' + id,
    method: 'delete'
  })
}
